package com.wjholden.nmap;

import android.view.Menu;

/**
 * All the global constants should go here for simplified access.
 * 
 * @author William John Holden (wjholden@gmail.com)
 * @version 0.4.1
 * @since 0.4
 */
public interface Nmap_Constants {
	/**
	 * Tells handler there is no root access on this handset
	 */
	static final int INSTALL_NO_ROOT = 0;
	
	/**
	 * Indicates generic installation error
	 */
	static final int INSTALL_ERROR = 1;
	
	/**
	 * Indicates successful installation (or successfully verified)
	 */
	static final int INSTALL_GOOD = 2;
	
	/**
	 * Tells the handler that your Message object contains one line of output
	 */
	static final int RUN_LINE = 3;
	
	/**
	 * Tells the handler the scan has completed
	 */
	static final int RUN_COMPLETE = 4;
	
	/**
	 * Tells the handler an error occurred
	 */
	static final int RUN_ERROR = 5;
	static final int THREAD_ERROR = 6;
	static final int SCANTYPE_NMAP = 7;
	static final int SCANTYPE_NPING = 8;
	static final int SCANTYPE_NCAT = 9;
	static final int SCANTYPE_NDIFF = 10;
	
	static final String TAG = "Nmap";
	
	/**
	 * Android keeps bitching about not explicitly saying you want an 8k-char buffer so...here.
	 */
	static final int BUFFER_SIZE = 8192;

	static final int MENU_ITEM_DEBUG_ENABLE = Menu.FIRST;
	static final int MENU_ITEM_DEBUG_EMAIL = Menu.FIRST + 1;
	static final int MENU_ITEM_MORE_HELP = Menu.FIRST + 2;
	static final int MENU_ITEM_REINSTALL = Menu.FIRST + 3;
	static final int MENU_ITEM_EXIT = Menu.FIRST + 4;
	
	static final int MENU_GROUP_DEBUG = Menu.FIRST;
	static final int MENU_GROUP_EXTRA_OPTIONS = Menu.FIRST + 1;
}
